%define unmangled_name ofxclient

%define mangled_name python3-ofxclient
%define version 2.0.3
%define unmangled_version 2.0.3
%define unmangled_version 2.0.3
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: OFX client for dowloading transactions from banks
Name: %{mangled_name}
Requires: python3-keyring, python3-lxml, python3-ofxhome, python3-ofxparse > 0.8, python3-beautifulsoup4
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
Patch0: no-argparse.diff
License: MIT License
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: David Bartle <captindave@gmail.com>
Url: https://github.com/captin411/ofxclient

%description
Overview
=========

Simple ofxclient command line utility and OFX client libraries for development.

Full Documentation
==================

http://captin411.github.com/ofxclient/

Quick Start
===========

> $ ofxclient --download combined.ofx --open --verbose

Security Notes
==============

Initial Setup
-------------

When using the command line tool, initial account setup uses a third party website.
The website http://ofxhome.com will be consulted in order to determine information about
banks.  For example, the API url that your bank wants to use for their OFX communication.

You will be transmitting the name of your bank to a third party over an insecure channel.

Your password and username are not transmitted during the "search" phase.

The username and password will be transmitted to the URL for your bank as provided by
ofxhome.com.  You will be shown the URL that will be used.  If the URL does not look
appropriate, or otherwise appears to be tampered with, then do not submit your username
and password during the setup phase.

Bank Information Storage
------------------------
A configuration file `$HOME/ofxclient.ini` is used to store the information about the banks
that you want to download transactions from.

Your username and password are stored encrypted however your account number, routing number,
bank name, and account type are not encrypted and are visible to anyone with access to this
file on your local computer.

For full details on the config file, see: http://captin411.github.com/ofxclient/


%prep
%setup -n %{unmangled_name}-%{unmangled_version} -n %{unmangled_name}-%{unmangled_version}
patch -p0 --binary < %{_sourcedir}/no-argparse.diff

%build
python3 setup.py build

%install
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
